/*
  backlash.h - Backlash compesation module
  Part of TwinTeeth Firmware 

Copyright (c) 2013 V.Ayllon.  All rights reserved.

TwinTeeth Firmware is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
to anyone for the consequences of using it or for whether it serves any
particular purpose or works at all, unless he says so in writing.  Refer
to the GNU General Public License, Version 2 or later, for full details.

Everyone is granted permission to copy, modify and redistribute
TwinTeeth Firmware, but only under the conditions described in the GNU General Public
License.  A copy of this license is supposed to have been
given to you along with TwinTeeth Firmware so you can know your rights and
responsibilities.  It should be in a file named COPYING.  Among other
things, the copyright notice and this notice must be preserved on all
copies.

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*/
#ifndef BACKLASH_H
#define BACKLASH_H
/**
** isSameDirection() - Compares the two positions and determines the direction of movement.
**/
FORCE_INLINE bool isSameDirection(int axis) {
    int newDir = 0;

    if (current_position[axis] < delta[axis]) {
		newDir=1;
    } else if (current_position[axis] > delta[axis]) {
      	newDir=-1;
    } else {
      return true;
    }
    return (newDir == current_direction[axis]);
}
#endif